Skip to content
GAMPEONCreate
New project

Download a version

GET
/v1/resources/{name}/versions/{version}/file
curl --request GET \
--url https://api.gampeon.com/v1/resources/example/versions/example/file

Counts at most one download per IP and version in 24 hours. Paid items need the grant from …/download.

Rate limit: 120 per hour per IP.

name
required
string
/^[a-z0-9][a-z0-9_\-]{1,47}$/

Resource name

version
required
string
/^\d+\.\d+\.\d+(-[0-9A-Za-z.\-]+)?$/

Version

grant
string

Download grant for paid items, from …/download

The file as attachment

Media typeapplication/octet-stream
string format: binary

Error codes: purchase_required

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found, file_missing

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 120 per hour per IP. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unavailable_for_legal_reasons

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: storage_disabled

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback